%define	major 0
%define libname %mklibname lqr %{major}
%define libname_old %mklibname lqr1_ 0
%define develname %mklibname lqr -d

Name: liblqr
Version: 0.4.1
Release: %mkrel 4
Summary:LiquidRescale seam-carving library
Group: System/Libraries
License: LGPLv3 and GPLv3
URL: http://liblqr.wikidot.com/
Source0: %{name}-1-%{version}.tar.bz2
Patch0: liblqr-docbook_fixes.diff
BuildRequires:	glib2-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd45-xml
BuildRequires:	libxslt-proc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

%package -n	%{libname}
Summary:	LiquidRescale seam-carving library
Group:		System/Libraries
Obsoletes:  %{libname_old}

%description -n	%{libname}
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

%package -n	%{develname}
Summary:	Static library and header files for the LiquidRescale library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lqr-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
The Liquid Rescale (lqr) library provides a C/C++ API for performing
non-uniform resizing of images by the seam-carving technique.

This package contains the static LiquidRescale library and its header files.

%prep

%setup -q -n %{name}-1-%{version}
%patch0 -p1

%build
%configure2_5x
%make

# make the html docs
pushd docs
make
popd

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/liblqr-1.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc docs/html/* examples
%dir %{_includedir}/lqr-1
%dir %{_includedir}/lqr-1/lqr
%{_includedir}/lqr-1/*.h
%{_includedir}/lqr-1/lqr/*.h
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc




%changelog
* Sat Jan 15 2011 blino <blino> 0.4.1-4.mga1
+ Revision: 19145
- imported package liblqr


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-4mdv2011.0
+ Revision: 602570
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-3mdv2010.1
+ Revision: 520880
- rebuilt for 2010.1

* Tue Jul 07 2009 Helio Chissini de Castro <helio@mandriva.com> 0.4.1-2mdv2010.0
+ Revision: 393320
- We need obsolete wrong named library

* Tue Jul 07 2009 Helio Chissini de Castro <helio@mandriva.com> 0.4.1-1mdv2010.0
+ Revision: 393314
- New upstream required version for digikam

* Wed Mar 18 2009 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2009.1
+ Revision: 357133
- New version 0.3.0

* Sat Aug 23 2008 Götz Waschk <waschk@mandriva.org> 0.1.0-4mdv2009.0
+ Revision: 275367
- new patch release
- update license
- drop patch 1
- spec fixes

* Sun Jul 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2009.0
+ Revision: 232145
- added P1 to fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2008.1
+ Revision: 163365
- import liblqr


* Thu Feb 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2008.1
- initial Mandriva package
